<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>SaveGame()&#160;:&#160;<a class="el" href="classgg_1_1Gameplay.html#a808ff056bd75ca855bec426c22745055">gg::Gameplay</a></li>
<li>SaveToFile()&#160;:&#160;<a class="el" href="classgg_1_1XMLDocument.html#a2874c3134eb2b862532876a06d1fdb4a">gg::XMLDocument</a></li>
<li>SaveToFilename()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#a982ba8264fecaa86d40100bf619467da">gg::Map</a></li>
<li>Scene()&#160;:&#160;<a class="el" href="classgg_1_1Scene.html#a505d136d0f9025a5f0da9d09230bcdae">gg::Scene</a></li>
<li>SceneButtonEvent()&#160;:&#160;<a class="el" href="classgg_1_1SceneButtonEvent.html#ac2c2dbb8b2a9d922a7d7ddcbf70efde1">gg::SceneButtonEvent</a></li>
<li>SceneInputEvent()&#160;:&#160;<a class="el" href="classgg_1_1SceneInputEvent.html#ad04ae250e21a801e8810e8626e01cdf6">gg::SceneInputEvent</a></li>
<li>SceneManager()&#160;:&#160;<a class="el" href="classgg_1_1SceneManager.html#ab3d4dd3eef97fcdd732ef1092f5bb225">gg::SceneManager</a></li>
<li>SceneNode()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a85a355c9072099675bf4a8ca00dc0635">gg::SceneNode</a></li>
<li>SceneToggleButtonEvent()&#160;:&#160;<a class="el" href="classgg_1_1SceneToggleButtonEvent.html#a643c81617984934eaa52c927b1f7471c">gg::SceneToggleButtonEvent</a></li>
<li>SceneTypeToString()&#160;:&#160;<a class="el" href="classgg_1_1SceneManager.html#a0358b3c268b513673eca1de8990a5094">gg::SceneManager</a></li>
<li>SelectToggle()&#160;:&#160;<a class="el" href="classgg_1_1ToggleGroup.html#a42f24adf2e27a415d693b9fe0d11a34c">gg::ToggleGroup</a></li>
<li>SetActive()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#ae9ad6fed856fe51fe3f62d510a390560">gg::Map</a>, <a class="el" href="classgg_1_1Scene.html#a44f4252d969c5cc52edb5cacf0faa71a">gg::Scene</a></li>
<li>SetBegin()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#a58eae1a48c136ff89af8831949f80127">gg::Map</a></li>
<li>SetColor()&#160;:&#160;<a class="el" href="classgg_1_1Container.html#a36cf198d1081a0d3d1399421988052df">gg::Container</a>, <a class="el" href="classgg_1_1Label.html#a5aed800b62e10e63f2147e61bc5a038e">gg::Label</a></li>
<li>SetCoordinates()&#160;:&#160;<a class="el" href="classgg_1_1Tile.html#a0191b303c80a99a08d039b5bf750634c">gg::Tile</a></li>
<li>SetDirty()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a035abba4248c4efc94da258fd6d54686">gg::SceneNode</a></li>
<li>SetFontName()&#160;:&#160;<a class="el" href="classgg_1_1Label.html#ab20d6492a0a350697ba808fbc49247b0">gg::Label</a></li>
<li>SetFontSize()&#160;:&#160;<a class="el" href="classgg_1_1Label.html#ae88db8185bbe333f73a1e1c5065f1027">gg::Label</a></li>
<li>SetHAlignment()&#160;:&#160;<a class="el" href="classgg_1_1Box.html#ad2dd0441ce5ee92584feea0458b3f300">gg::Box</a>, <a class="el" href="classgg_1_1Button.html#a225157d0c6ff6233d08b119ddfe93a54">gg::Button</a></li>
<li>SetHeight()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#ad22218898e8860365782844f7ec1efcd">gg::Map</a></li>
<li>SetID()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a3fddc76f0a1f636a1d4e651c5ac7e647">gg::SceneNode</a></li>
<li>SetInsidePosition()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#ab7d26c1d9eca413929a7b46d1975ecca">gg::SceneNode</a></li>
<li>SetInsideSize()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a6060165707afd72f5313548cb92ae81e">gg::SceneNode</a></li>
<li>SetLibrary()&#160;:&#160;<a class="el" href="classgg_1_1Attributes.html#aac496caf3931b8885961264bf2015024">gg::Attributes</a></li>
<li>SetMargins()&#160;:&#160;<a class="el" href="classgg_1_1Box.html#ae8a633bb990cb6ffb570132795b2f59d">gg::Box</a>, <a class="el" href="classgg_1_1Button.html#a7418e22bdfc99d62041e589563366014">gg::Button</a>, <a class="el" href="classgg_1_1Container.html#a1adac6ba46ae9206706d7b85064783fb">gg::Container</a></li>
<li>SetName()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a46fbfc7cb2cd115ecc33a0001b5caa79">gg::SceneNode</a></li>
<li>SetOrientation()&#160;:&#160;<a class="el" href="classgg_1_1Gameplay.html#afe5bc91481c10de81464bc4a7a4dfb3a">gg::Gameplay</a></li>
<li>SetOutsidePosition()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#ad20a4313079c8fc88db803db9742bb52">gg::SceneNode</a></li>
<li>SetOutsideSize()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a3f597bd0d3cdae19a4abe961cfb92a91">gg::SceneNode</a></li>
<li>SetParent()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#ade1c015b4ad1d134a6ac9b74ea67ac26">gg::SceneNode</a></li>
<li>SetPointCount()&#160;:&#160;<a class="el" href="classgg_1_1RoundedShape.html#a82fd5d33abe092c391cb0e56b24b2500">gg::RoundedShape</a></li>
<li>SetRadius()&#160;:&#160;<a class="el" href="classgg_1_1RoundedShape.html#a73a10e084775142935a0744d69b5b09f">gg::RoundedShape</a></li>
<li>SetRoot()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a3bfaf6ab0f3690bf75e1142fc6b574a9">gg::SceneNode</a></li>
<li>SetScene()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#abb3579a1294b90d74ae0e9a0f5cc8de1">gg::SceneNode</a></li>
<li>SetSize()&#160;:&#160;<a class="el" href="classgg_1_1Button.html#a6c3e627ac5a6e4bccd2dc87e48bb0c3e">gg::Button</a>, <a class="el" href="classgg_1_1RoundedShape.html#a715e0fb006af9f0fe9f482374a85089b">gg::RoundedShape</a></li>
<li>SetSpacing()&#160;:&#160;<a class="el" href="classgg_1_1Box.html#ab3e3865aa6696fa6a0d2605c0468cd4d">gg::Box</a></li>
<li>SetState()&#160;:&#160;<a class="el" href="classgg_1_1Button.html#a3de1d96aade557285d6d96f6c7232637">gg::Button</a></li>
<li>SetText()&#160;:&#160;<a class="el" href="classgg_1_1Button.html#a6778de448c36135b8b3051cfe5726e2d">gg::Button</a>, <a class="el" href="classgg_1_1Label.html#a88d395619835759536df2238344423fd">gg::Label</a></li>
<li>SetTextCharacterSize()&#160;:&#160;<a class="el" href="classgg_1_1Button.html#a1cc028bbe1efb4afc967d30839461be3">gg::Button</a></li>
<li>SetTextFontName()&#160;:&#160;<a class="el" href="classgg_1_1Button.html#a2ef61a43b9ac82411abce5c25f05f2e6">gg::Button</a></li>
<li>SetTexture()&#160;:&#160;<a class="el" href="classgg_1_1Tile.html#aa73c8e60689b326a699777bf379ed67f">gg::Tile</a></li>
<li>SetTileSize()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#a018473c20f94a257cb21bd60cf45aae9">gg::Map</a></li>
<li>Settings()&#160;:&#160;<a class="el" href="classgg_1_1Settings.html#a688dbb264fe507d686711056730a0973">gg::Settings</a></li>
<li>SetToggleGroup()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a57cce9f483099d73b21dbfc6c58eafc2">gg::SceneNode</a>, <a class="el" href="classgg_1_1ToggleButton.html#a0e9b71c9ee388934a04dce6d9b000ec5">gg::ToggleButton</a></li>
<li>SetType()&#160;:&#160;<a class="el" href="classgg_1_1RoadTile.html#a47484c6394f6d8c0c42ed12d200853a6">gg::RoadTile</a></li>
<li>SetVAlignment()&#160;:&#160;<a class="el" href="classgg_1_1Box.html#aa51ab4d6d5a167a5cf2b47282c425987">gg::Box</a>, <a class="el" href="classgg_1_1Button.html#a78d2f6d35c7b197cbb5b4f65d056ee43">gg::Button</a></li>
<li>SetWidth()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#a51c8f9164f76be79cab3b7a095c60a92">gg::Map</a></li>
<li>Size()&#160;:&#160;<a class="el" href="classgg_1_1FontManager.html#a37ba58e42c375b972691f714985161dd">gg::FontManager</a></li>
<li>StringToBuildingType()&#160;:&#160;<a class="el" href="classgg_1_1BuildingTile.html#a850ccd2fa718bf711ee353da2309f7d1">gg::BuildingTile</a></li>
<li>StringToRoadType()&#160;:&#160;<a class="el" href="classgg_1_1RoadTile.html#a22a870ddb0813ecdfc7b51e6409eb701">gg::RoadTile</a></li>
<li>StringToSceneType()&#160;:&#160;<a class="el" href="classgg_1_1SceneManager.html#a3727f01422988701752afde7ddb24931">gg::SceneManager</a></li>
<li>StringToTerrainType()&#160;:&#160;<a class="el" href="classgg_1_1TerrainTile.html#ab9b230c3715d4db41e6b89d53d196fc6">gg::TerrainTile</a></li>
<li>StyleManager()&#160;:&#160;<a class="el" href="classgg_1_1StyleManager.html#a32691de57b5db9e41e9509f63465f996">gg::StyleManager</a></li>
<li>Subscribe()&#160;:&#160;<a class="el" href="classgg_1_1EventDispatcher.html#a25898f3f671cc2fcdb9ac2e5b5fd1a3e">gg::EventDispatcher</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
